Skip to main content
`Ctrl`+`K`

# PCMatSetApplyOperation

Set which matrix operation of the matrix implements `PCApply()` for `PCMAT`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCMatSetApplyOperation(PC pc, MatOperation matop)

Logically collective

## Input Parameters

- pc - An instance of `PCMAT`

- matop - The selected `MatOperation`

## Note

If you have a matrix type that implements an exact inverse that isn’t a factorization, you can use `PCMatSetApplyOperation(pc, MATOP_SOLVE)`.

## See Also

KSP: Linear System Solvers, `PCMAT`, `PCMatGetApplyOperation()`, `PCApply()`, `MatOperation`

## Level

intermediate

## Location

src/ksp/pc/impls/mat/pcmat.c

## Implementations

PCMatSetApplyOperation_Mat() in src/ksp/pc/impls/mat/pcmat.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages